/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package DTO;

import entity.MapValues;
import entity.Player;
import entity.UrlBanners;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author install1
 */
public class MapBoardDTO {

    private String steamID;
    private String name;
    private String avatar;
    private int mapPoint;
    private int mapTimeMinutes;
    private float mapTimeSeconds;
    private int position;
    private List<String> badgesUrls = new ArrayList();

    public MapBoardDTO() {
    }

    public MapBoardDTO(MapValues mapvalue, String name, String avatar) {
        this.steamID = mapvalue.getPlayerSteamID();
        this.name = name;
        this.avatar = avatar;
        this.mapPoint = mapvalue.getMapPoints();
        this.mapTimeMinutes = (int) Math.floor(mapvalue.getTime());
        this.mapTimeSeconds = (float) (mapvalue.getTime() - Math.floor(mapvalue.getTime())) * 100;
        this.position = mapvalue.getPosition();

    }

    public void setBadgesUrls(Player player) {
        List<UrlBanners> urlBanners = player.getUrlBanners();
        for (UrlBanners urlbanner : urlBanners) {
            badgesUrls.add(urlbanner.getBadgeUrl());
        }
    }

    public String getSteamID() {
        return steamID;
    }

    public void setSteamID(String steamID) {
        this.steamID = steamID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getMapPoint() {
        return mapPoint;
    }

    public void setMapPoint(int mapPoint) {
        this.mapPoint = mapPoint;
    }

    public int getMapTimeMinutes() {
        return mapTimeMinutes;
    }

    public void setMapTimeMinutes(int mapTimeMinutes) {
        this.mapTimeMinutes = mapTimeMinutes;
    }

    public float getMapTimeSeconds() {
        return mapTimeSeconds;
    }

    public void setMapTimeSeconds(float mapTimeSeconds) {
        this.mapTimeSeconds = mapTimeSeconds;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

}
